Subject: Re: linux-next: Tree for November 25 (snd/soc/codecs)

From: Mark Brown <[email-masked]>
Date: Fri, 26 Nov 2010 11:21:46 +0000

On Thu, Nov 25, 2010 at 06:45:13PM -0800, Randy Dunlap wrote:

> config SND_SOC_I2C_AND_SPI
> 	tristate
> 	default m if I2C=m
> 	default y if I2C=y
> 	default y if SPI_MASTER=y

> This doesn't handle the I2C disabled case, hence the build error.

It does, anything with this configuration should have appropriate ifdefs
to cover it, it's just that one is missed here.  The purpose of the
symbol is to ensure we don't try to build one of these drivers into the
kernel when I2C is modular.